Name:		gobi-firmware
Version:	0.2
Release:	1.4
License:	unknown
Url:		http://www-307.ibm.com/pc/support/site.wss/document.do?lndocid=MIGR-72938
Group:		System
Summary:	GOBI firmware files
Source0:	gobi-firmware.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
This package includes firmware files for Qualcomm Gobi 2000 HS-USB Modem 9205.

%prep
%setup -c %{name} -n %{name}

%build

%install
%__install -m0755 -d %{buildroot}/lib/firmware/gobi
cp -r * %{buildroot}/lib/firmware/gobi/
cd %{buildroot}/lib/firmware/gobi/
ln -s 0 vodafone
ln -s 1 verizon
ln -s 2 att
ln -s 3 sprint
ln -s 4 t-mobile
ln -s 6 generic
ln -s 7 telefonica
ln -s 8 telecom-italia
ln -s 9 orange
ln -s 12 docomo
ln -s UMTS/apps.mbn
ln -s UMTS/amss.mbn
ln -s 6/UQCN.mbn

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%dir /lib/firmware/gobi
%dir /lib/firmware/gobi/0
%dir /lib/firmware/gobi/1
%dir /lib/firmware/gobi/12
%dir /lib/firmware/gobi/2
%dir /lib/firmware/gobi/3
%dir /lib/firmware/gobi/4
%dir /lib/firmware/gobi/6
%dir /lib/firmware/gobi/7
%dir /lib/firmware/gobi/8
%dir /lib/firmware/gobi/9
%dir /lib/firmware/gobi/UMTS
/lib/firmware/gobi/0/UQCN.mbn
/lib/firmware/gobi/1/UQCN.mbn
/lib/firmware/gobi/1/apps.mbn
/lib/firmware/gobi/1/amss.mbn
/lib/firmware/gobi/12/UQCN.mbn
/lib/firmware/gobi/12/apps.mbn
/lib/firmware/gobi/12/amss.mbn
/lib/firmware/gobi/2/UQCN.mbn
/lib/firmware/gobi/3/UQCN.mbn
/lib/firmware/gobi/3/apps.mbn
/lib/firmware/gobi/3/amss.mbn
/lib/firmware/gobi/4/UQCN.mbn
/lib/firmware/gobi/6/UQCN.mbn
/lib/firmware/gobi/7/UQCN.mbn
/lib/firmware/gobi/8/UQCN.mbn
/lib/firmware/gobi/9/UQCN.mbn
/lib/firmware/gobi/UMTS/apps.mbn
/lib/firmware/gobi/UMTS/amss.mbn
/lib/firmware/gobi/vodafone
/lib/firmware/gobi/verizon
/lib/firmware/gobi/att
/lib/firmware/gobi/sprint
/lib/firmware/gobi/t-mobile
/lib/firmware/gobi/generic
/lib/firmware/gobi/telefonica
/lib/firmware/gobi/telecom-italia
/lib/firmware/gobi/orange
/lib/firmware/gobi/docomo
/lib/firmware/gobi/apps.mbn
/lib/firmware/gobi/amss.mbn
/lib/firmware/gobi/UQCN.mbn

%changelog
* Sun Oct 10 2010 Carsten Schoene <cs@linux-administrator.com> - 0.2-1
- include all firmware images 
- create symlinks with provider names under /lib/firmware/gobi
- default is generic firmware (change links to your needs!)

* Thu Oct 07 2010 Carsten Schoene <cs@linux-administrator.com> - 0.1-1
- initial package
